/* Floating animation */
.floating-up-down{
    animation: floating-up-down 3s ease-in-out infinite;
}

/* Animation Utility Classes */
.animation-delay-1s{
    animation-delay: 1s;
}
.animation-delay-2s{
    animation-delay: 2s;
}
.animation-delay-3s{
    animation-delay: 3s;
}
.animation-none{
    animation:none;
}


/* Vertical sidebar buttons floating animation */
@keyframes floating-up-down{
    0% {
        transform: translateY(0); /* Initial position */
    }
    50% {
        transform: translateY(-5px); /* Move up by 10px */
    }
    100% {
        transform: translateY(0); /* Move back to original position */
    }
}


/* Utility classes */
.font-sabon, p, ul, li{
    font-family: 'Sabon Next LT', sans-serif;
}
.font-funkie, h1, h2, h3, h4, h5, h6{
    font-family: 'Funkie Retro', sans-serif;                                    
}
.color-brown{
    color: #533E2D;
}
.color-green{
    color: #618B25;
}


/* STYLES FOR ALL WEBPAGES */
body{
    background-color: #E0E1DD;   
    color: #533E2D;  
    font-size: 16px;
    background-image: url('images/canvas-bg.jpeg');
    background-attachment: fixed; 
}
footer{
    color: #533E2D;
    text-align: center;
    padding: 10px;
    margin-top: 50px;
}
footer p{
    margin:0;
}
footer a{
    color:#533E2D;
    text-decoration: none;
}
footer a:hover{
    color: #618B25;
    font-weight: bold;
}

button:hover, button a:hover, .about-page-button:hover, .contact-page-button:hover {
    color: #533E2D;
    background-color: #E0E1DD;
    animation: none;
}

#Laptop-Horizontal-Navbar, #Laptop-Horizontal-Navbar-index{
    background-color: rgba(255, 255, 255, 0.774);
}

#Laptop-Horizontal-Navbar .navbar-toggler{
    background-color: #618B25;
}

#Laptop-Horizontal-Navbar .nav-item .nav-link, #Laptop-Horizontal-Navbar .navbar-brand, #Laptop-Horizontal-Navbar-index .nav-item .nav-link, #Laptop-Horizontal-Navbar .navbar-brand-index{
    color: #533E2D;
}

#Laptop-Horizontal-Navbar .nav-item .nav-link:hover, #Laptop-Horizontal-Navbar .navbar-brand:hover, #Laptop-Horizontal-Navbar-index .nav-item .nav-link:hover, #Laptop-Horizontal-Navbar-index .navbar-brand:hover{
    color: #618B25;
    font-weight: bold;
}

.current-nav-location{
    font-weight: bold; 
    color: #618B25;
    padding-right:20px;
}
.current-nav-location:hover{
    font-weight: bold; 
    color: #618B25;
}




/* INDEX.HTML STYLES */
.index-page-container img{
    border-radius: 20px;
    padding: 0;
    border: 7px solid black;
}
#mobile-sidebar{
    background-color: transparent;
}
#mobile-sidebar button{
    background-color: #618B25;
}
.btn-close { /* Make the btn-close icon white */
    /* credit: https://icons.getbootstrap.com/icons/x-lg/ */
    background-image: url('images/x-lg.svg');
}
#tablet-sidebar{
    list-style: none;
    padding-left: 0;
    padding-top: 60%;
    text-align: center;
}
#tablet-sidebar li{
    margin: 15px 0;
}
.tablet-sidebar-button {
    background-color: transparent;
    padding: 0;
    border: none;
    width: 100%;
}
/* style a tag as button */
.tablet-sidebar-button a {
    display: block;
    background-color: #618B25;
    color: white;
    border: 2px solid #533E2D;
    border-radius: 15px;
    padding: 10px;
    font-family: 'Sabon Next LT', sans-serif;
    text-decoration: none;
}
#home-page-title{
    text-align: center;
    font-size: 3rem;
    font-weight: bold;
    color: #618B25;
    text-transform: uppercase;
    margin-top:10vh;
}
#home-page-subheading{
    font-weight: bold;
    color: #618B25;
    font-size: 2rem;
}
.home-page-img{
    width: auto;
    max-height: 500px;
    margin-bottom: 25px;
    padding: 0;
    border-radius: 10px;
}
.home-page-img-laptop{
    display: none;
    width: auto;
    max-height: 500px;
    margin-bottom: 25px;
    padding: 0;
    margin: 0;
    border-radius: 10px;
}
#home-page-para{
    text-indent: 25px;
    margin-top: 25px;
    text-align: justify;
  
    line-height: 2.5;
    font-size: 1.2rem;
}




/* ABOUT PAGE STYLES */
.about-page-img{
    width: 100%;
    height: auto;
    max-width: 350px;
    height: auto;
    border-radius: 15px;
}
.about-page-heading{
    text-transform: uppercase;
    text-align:center;
}
.about-page-text{
    line-height: 2;
    font-size: 1.1rem;
    text-align: justify;
}
.about-page-button{
    background-color: #618B25;
    border-radius: 15px;
    padding: 10px;
    color: white;
    border: 2px solid #533E2D;
    text-align: center;
    font-family: 'Sabon Next LT', sans-serif;
    text-decoration: none;
    min-width: 130px;
}
.cat-carousel-container{
    background-color: #7a8f59c0;
    width: 100%;
}
#cat-carousel{
    width: 90%;
    max-width: 400px;
    height: auto;
}
#cat-carousel img{
    border-radius: 15px;
}
.about-page-container h5{
    text-decoration: underline;
}
.about-page-container .rowBG{
    background-color: rgba(255, 255, 255, 0.391); 
    border-radius: 20px;
    padding: 5px;
}
.about-page-container img {
    border-radius: 20px;
    padding: 0;
    border: 7px solid black;
}




/* CONTACT PAGE STYLE */
.contact-page-button{
    display: block;
    background-color: #618B25;
    color: white;
    border: 2px solid #533E2D;
    border-radius: 15px;
    padding: 5px;
    font-family: 'Sabon Next LT', sans-serif;
    text-decoration: none;
    text-align: center;
    margin: 5px;
    font-size: 1rem;
    width: 150px;
}
.contact-page-container{
    width: 50%;
    text-align: center;
    background-color: #E0E1DD;
    border-radius: 20px;
    padding: 15px;
    border-radius: 20px;
    border: 7px solid black;
}
.contact-page-container p{
    font-size: 1.5rem;
}
.contact-page-container img{
    max-width: 300px;
    width: 100%;
    border-radius: 15px;  
    border: 5px solid black;  
}




/* RESUME PAGE STYLES */
.resume-page-container{
    background-color: #E0E1DD;
    border: 7px solid black;
    border-radius: 15px;
    padding: 10px;
    width: 80%;
}
.resume-page-container h2{
    /* font-weight: bolder; */
    text-transform: uppercase;
    color: #618B25;
}
.resume-page-container h4{
    font-family: 'Sabon Next LT', sans-serif;
    font-weight: bold;
}
.resume-page-container ul{
    font-family: 'Sabon Next LT', sans-serif;
    border-radius: 15px;
    background-color: white;
    margin-bottom: 30px;
    padding: 25px;
}
.resume-page-container li{
    margin-bottom: 15px;
}





/* WORKS PAGE STYLES */
.works-page-container h2{
    color: #618B25;
    font-weight: bold;
    text-transform: uppercase;
    margin-top: 10px;
}
.works-page-container img {
    border-radius: 20px;
    padding: 7px;
    background-color: black;
}


/* DEPOP PAGE STYLES */
.depop-page-container{
    background-color: white;
    width: 85%;
    margin-top: 10px;
    border-radius: 15px;
    border: 5px solid black;
}
.depop-page-container p{
    background-color: #f3faea;
    color: black;
    border-radius: 15px;
    width: 90%;
    padding: 10px;
}
.depop-page-container .row {
    justify-content: center;
}


/* Mobile (up to 575px) */
@media (max-width: 575px) {
    footer{
        font-size: .9rem;
    }
    #Laptop-Horizontal-Navbar-index, #Laptop-Horizontal-Navbar{
        display: none;
    }

    /* INDEX PAGE BREAKPOINTS */
        .home-page-img{
            width: auto;
            max-height: 350px;
            margin-bottom: 25px;
            padding: 0;
            border-radius: 10px;
        }
        #home-page-para{
            line-height: 2;
        } 
        #home-page-title{
            font-size: 40px;
            margin-top: 5vh;
        }


    /* CONTACT PAGE BREAKPOINTS */
        .contact-page-container{
            width: 90%;
        }
        .contact-page-container p{
            font-size: 1.2rem;
        }
        .contact-page-container img{
            width: 85%;    
        }

    

    /* RESUME PAGE BREAKPOINT(S) */
        .resume-page-container{
            width: 90%;
        }

        .resume-page-container li{
            margin-bottom: 0px;
        }


    /* WORKS PAGE BREAKPOINT(S) */
        .works-page-container p{
            font-size: 1.2rem;
            line-height: 2;
        }

    /* depop PAGE BREAKPOINT(S) */
        .depop-page-container p{
            line-height: 2;
            font: 1rem;
        }
        .depop-page-container {
            width: 95%;
        }


}

/* Tablet (576px to 850px) */
@media (min-width: 576px) and (max-width: 850px) {
    
    #mobile-sidebar{
        display: none;
    }

    .navLinkNavBrand{
        display: block;
    }

    /* INDEX.HMTL BREAKPOINT*/
        .home-page-img{
            width: auto;
            max-height: 450px;
            margin-bottom: 25px;
            padding: 0;
            border-radius: 10px;
        }

        #Laptop-Horizontal-Navbar-index{
            display: none;
        }


    /* ABOUT PAGE BREAKPOINTS */
        .hide-at-850px {
            /* !important: credit: https://www.w3schools.com/css/css_important.asp */
            /* Forces the column to be hidden */
            display: none !important; 
        }

    /* CONTACT PAGE BREAKPOINTS */
        .contact-page-container{
            min-width: 504px;
        }
        .contact-page-container p{
            font-size: 1.2rem;
        }
        .contact-page-container h2{
            font-size: 1.7rem;
        }
        .contact-page-container img{
            max-width: 300px;
            height: auto;
        }

    /* RESUME PAGE BREAKPOINT(s) */
        .resume-page-container{
            width: 90%;
            font-size: 1.1rem;
        }

    /* WORKS PAGE BREAKPOINT(s) */
        .works-page-container p{
            line-height: 2;
            font-size: 1.3rem;
        }

    /* depop PAGE BREAKPOINTS */
        .depop-page-container p{
            line-height: 2;
        }


}

/* Desktop (850px and up) */
@media (min-width: 850px) {
    
    /* INDEX.HTML BREAKPOINT(S) */
        #mobile-sidebar, #tablet-sidebar{
            display: none;
        }
        .home-page-img{
            display: none;
        }
        .home-page-img-laptop{
            display: block;
            width: auto;
            min-width: 350px;
            max-height: 600px;
            border-radius: 60px;
            padding: 0;
        }
    


    /* ABOUT PAGE BREAKPOINT */
        .about-page-img{
            max-width: 475px;
        }
        .about-page-text{
            font-size: 1.5rem;
            width: 50%;
            margin: 10px auto;
            text-align: center;
        }
        .about-page-heading{
            font-size: 2.3rem;
        }
        .about-page-ul li{
            list-style-type: none;
        }
        .about-page-container {
            width: 85%;
        }
        .about-page-container h5{
            font-size: 2rem;
            text-decoration: underline;
        }
        #sibling-para{
            font-size: 25px; 
            line-height: 2; 
            padding: 5px;
        }



    /* RESUME PAGE BREAKPOINTS */
        .resume-page-container{
            font-size: 1.3rem;
        }

    /* WORKS PAGE BREAKPOINT(s) */
        .works-page-container p{
            line-height: 2;
            font-size: 1.3rem;
        }

        
    /* depop PAGE BREAKPOINTS */
        .depop-page-container p{
            line-height: 2;
            font-size: 1.3rem;
        }
}


